set ::redact 0

proc fillwordlist {} {
	;# read banned words list compiled by 2600 magazine
	global wordlist
	set wordlist {}
	set f [open ~/.din/2600 r]
	while {[gets $f line] >= 0} {
		lappend wordlist $line
	}
	close $f
}

proc midi_note_on {status id value} {

}

proc midi_cc {status cc value} {

	global wordlist id redact

	set sliders {1 2 3 4}
	set j 0
	foreach i $sliders {
		if {$cc eq $i} {
			set step [expr $j * 127]
			set id [expr $step+$value]
			set word [lindex $wordlist $id]
			if {$word ne ""} {
				set-text-color [expr rand()] [expr rand()] [expr rand()]
				if {$redact eq 1} {
					set word [string map "a * e # i & o % u !" $word]
					echo $word
				} else {
					echo $word
				}
				do_morse_code $word
			}
			return
		}
		incr j
	}

}

proc do_morse_code {str} {
	morse-code [string toupper $str]
	paste-gaters
}

proc reset_gaters {n} {
	set-bpm gl $n reset
	set-bpm gr $n reset
	set-style gl loop
	set-style gr loop
}

fillwordlist

