if {0} {
	pick a random drone and set a random volume
}

proc getval {min max amount} { ;# get interpolated value from min to max
	set amount [/ $amount 127.0]
	return [expr { (1 - $amount) * $min + $amount * $max }]
}

proc midi_cc {status cc value} { ;# called when user operates midi controller

	set cc1 10 ;# slider/knob id controls drone master volume
	set cc2 11 ;# slider/knob id picks a random drone and sets a random volume

	if {$cc eq $cc1} {
		set-var drone_master_volume [getval 0 1 $value]
	}


	if {$cc eq $cc2} {
		set n [get-drone n] ;# get number of drones
		set i [expr rand() * ($n - 1)] ;# pick a random drone
		set maxvolume 0.25; ;# max volume of a drone
		set-drone volume $i [getval -$maxvolume $maxvolume $value]
	}

}



