proc make-tracer {name outcmd} {
	proc $name [list status id val [list outcmd $outcmd] [list msg $name]] {
		$outcmd "$msg: [format {mesg = %x id = %d value = %d} $status $id $val]"
	}
}

proc midimap {{outcmd echo}} {
	make-tracer midi_note_on $outcmd
	make-tracer midi_note_off $outcmd
	make-tracer midi_cc $outcmd
}

proc midi_clock {} {}
proc midi_start {} {}
midimap
